Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 55541 - (SOUND SBLIVE)SB Live fails to work on 7.2
(SOUND SBLIVE)SB Live fails to work on 7.2
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-01 14:37 EST by William W. Austin
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William W. Austin 2001-11-01 14:37:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-7 i686)

Description of problem:
I posted this earlier today on the enigma list.  It *may* 
be a dup of the bug in
   https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=53803
but there are enough differances that I am not sure. Apologies 
if this actually is the same bug.

My motherboard is an Asus P4B (6 pci/1 apg slots. 1.5GHz 
P4. 384 Mb ram), and before installing 7.2, I disabled the 
onboard sound completely: the MB has ac97 (i820) and mpu401
(clone) on board.  (This MB doesn't use the via133 chipset but
the 845 chipset, so that problem shouldn't be there.) Then I
installed a SoundBlaster PCI-512 and installed rh7.2.

The PCI-512 which didn't work at all -- it finally turned out 
that the board would NOT work in a win98 box either and it 
went back to the store as defective.

However, I got both an SB Live! and another SB PCI-512 to try 
and I am getting the same results on both:

A) The sound system works fine under (barf) win98.

B) After a full reboot, I can run sndconfig and hear the 
   voice. I then cannot play any other sound files (play ...) --
   all that I get is random noises from the speakers.  The same
   sound file produces completely different results each time
   it is played. Occasionally, there is no sound at all.
   
C) Kmidi works just fine. (xplaymidi fails as expected, and
   I forgot to try a vanilla "timidity [midi-file]" -- sorry).
   
D) I can run quake3 and immediately after exiting it, the
   sound card can play any .au or .wav file just fine, but
   only once just as if the system had been rebooted. 
   
E) I notice that the sb live! card is sharing interrupt 5 with
   one of my two scsi controller board (advansys) --
   (hmmmm. interrupt 9 is shared between the other, usb-uhci,
   and eth0. hmmm.  got to look at this one). 
   
I tried downloading the latest drivers from
opensource.creative.com, and although they compile they get
unresolved symbol problems when I attempt to load them (I'll
write that problem to their list)...  But I am reasonably sure
(speculation follows...) that most folks running this baord
are not having the same problem and probably don't have to
download and compile the newer driver.

Kernel and glibc have been upgraded to kernel-2.4.9-7 and
glibc-2.2.4-19 

One other thing worth noting here:  my MB has an ac'97 and an
mpu-401 clone on it, but both are disabled.  With the sblive
out of the machine the respective modules will not load,
so I believe that they are actually disabled.  But if I read
specs correctly, the sb-live also has both of these on board.
But neither gets detected.  I *think* (but am not sure)
that I was unable to run quake3 until I manually loaded the
ac97_codec and ac97 modules (but it was _very_ late at night,
and this could be my imagination. 

This could be a bug or it could be cockpit error on my part...
Any suggestions on what I can do to geteither the SB Live! or
the PCI512 running would be greately appreciated.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Reboot system
2. Play ANY .wav or .au sound file using /usr/bin/play
3. Repeat step 2
	

Actual Results:  Random noises come from speakers.  If step is repeated, a
totally DIFFERENT set of random noises come from the speakers

Expected Results:  The sound file should play

Additional info:

After booting and before playing any sound file, sndconfig works normally,
and the "Hello, this is..." file plays as expected.  However, it is not
possible to play any other sound file after running sndconfig.
Comment 1 William W. Austin 2001-11-02 00:04:25 EST
I went back and rechecked the part of my statement above about needing to load
the ac97 and ac97_codec modules.  Wrong on both counts -- apologies -- I had
pulled a near-all-nighter last night (project due date is in about 12 hours) and
just remembered somehting which didn't happen.

However, tonight I am noticing something I didn't hear last night:  on some but
not all files, there is a very brief burst of noise before playing starts (when
it works correctly) -- not on all, unfortunately.  

Also, heretic (xaheretic) and heretic-II have either (a) correct sound
immediately after running quake3 or (b) a toss up mixture of no sound or
thoroughly hosed-up sound as described above for .wav & .au sounds.

I'm beginning to believe that this bug is almost certainly the same as that in
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=53803
Comment 2 Alan Cox 2003-06-07 16:12:42 EDT
Should be ok with the current sblive drivers, if not please re-open
Comment 3 Bugzilla owner 2004-09-30 11:39:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.